%if %mdkversion < 200700
%define subrel 2
%endif

%define _enable_debug_packages %{nil}
%define debug_package %{nil}

%define name	mozilla-thunderbird-enigmail-l10n
%define oname	mozilla-thunderbird-enigmail
%define version	3.0.2
%define release	%mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define thunderbird_version %{version}
%define enigmail_version 0.96.0
%define mozillalibdir %{_libdir}/thunderbird-%{version}
%define xpidir http://www.mozilla-enigmail.org/download/release/%{enigmail_version}

# Supported l10n language lists
%define l10n_langlist	ar ca cs de el es fi fr hu it ja ko nb nl pl pt pt_BR ru sl sv tr zh_CN zh_TW

# Disabled l10n languages, for any reason
# nl sk es_AR do not support 0.95.0 yet
#define disabled_l10n_langlist	nl sk es_AR ro
%define disabled_l10n_langlist %{nil}

# Language descriptions
%define language_ar ar
%define langname_ar Arabic
%define language_ca ca-AD
%define langname_ca Catalan
%define language_cs cs-CZ
%define langname_cs Czech
%define language_de de
%define langname_de German
%define language_el el
%define langname_el Greek
%define language_es_AR es-AR
%define langname_es_AR Spanish (Argentina)
%define language_es es-ES
%define langname_es Spanish
%define language_fi fi-FI
%define langname_fi Finnish
%define language_fr fr-FR
%define langname_fr French
%define language_hu hu-HU
%define langname_hu Hungarian
%define language_it it-IT
%define langname_it Italian
%define language_ja ja-JP
%define langname_ja Japanese
%define language_ko ko-KR
%define langname_ko Korean
%define language_nb nb-NO
%define langname_nb Norwegian Bokmaal
%define langname_nl Dutch
%define language_nl nl-NL
%define language_pl pl-PL
%define langname_pl Polish
%define langname_pt Portuguese
%define language_pt pt-PT
%define language_pt_BR pt-BR
%define langname_pt_BR Brazilian portuguese
%define language_ro ro-RO
%define langname_ro Romanian
%define language_ru ru-RU
%define langname_ru Russian
%define language_sk sk-SK
%define langname_sk Slovak
%define language_sl sl-SI
%define langname_sl Slovenian
%define language_sv sv-SE
%define langname_sv Swedish
%define language_tr tr-TR
%define langname_tr Turkish
%define langname_zh_CN Simplified Chinese
%define language_zh_CN zh-CN
%define language_zh_TW zh-TW
%define langname_zh_TW Traditional Chinese

# --- Danger line ---

# All langs
%{expand:%%define langlist %(for lang in %l10n_langlist; do echo "$lang"; done | sort -u | sed ':a;$!N;s/\n/ /;ta')}

# Defaults (all languages enabled by default)
# l10n
%{expand:%(for lang in %l10n_langlist; do echo "%%define l10n_$lang 1"; done)}
%{expand:%(for lang in %disabled_l10n_langlist; do echo "%%define l10n_$lang 0"; done)}

# Params
%{expand:%(for lang in %langlist; do echo "%%bcond_without $lang"; done)}

# Locales
%{expand:%(for lang in %l10n_langlist; do echo "%%define locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

Summary:	Localizations for Enigmail (virtual package)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
Url:		http://enigmail.mozdev.org/
# Language package template
Source0: %{name}-template.spec
# l10n sources
%{expand:%(\
	i=2;\
	for lang in %langlist; do\
		echo "%%{expand:Source$i: %{xpidir}/enigmail-%%{language_$lang}-%{enigmail_version}.xpi}";\
		i=$[i+1];\
	done\
	)
}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libxml2-utils

%description
Localizations for Enigmail

# Expand all languages packages.
%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.spec 2> /dev/null)}";\
	done\
	)
}

%prep
%setup -q -c -T

# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with $lang}"; done)}
%{expand:%(for lang in %l10n_langlist; do echo "l10n_$lang=%%{l10n_$lang}"; done)}

# Unpack all languages
for lang in %l10n_langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	l10n="l10n_$lang"
	l10n=${!l10n}
	[ $l10n -eq 0 ] && continue

	language="language_$lang"
	language=${!language}
	mkdir ${language}
	cd ${language}
	unzip %{_sourcedir}/enigmail-${language}-%{enigmail_version}.xpi
	cd ..
done

# Remove some blundled trash
find -type f -name '*.spec' -exec rm -f {} \;
find -type f -name install.js -exec rm -f {} \;

# Disable version check
#sed -i -e 's/maxVersion>.*</maxVersion>2.0.*</g' */install.rdf

# Patches
#cd ${language_pt}
#patch4 -p0
#cd ..

%build
# All install.rdf files must validate
xmllint --noout */install.rdf

%install
rm -rf %buildroot

# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with $lang}"; done)}
%{expand:%(for lang in %l10n_langlist; do echo "l10n_$lang=%%{l10n_$lang}"; done)}

# Install all languages
for lang in %langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	l10n="l10n_$lang"
	l10n=${!l10n}
	[ $l10n -eq 0 ] && continue

	language="language_$lang"
	language=${!language}
	cd $language
	LANGPACK="enigmail-$language@enigmail.mozdev.org"
	mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
	cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK
	echo "%{mozillalibdir}/extensions/$LANGPACK" > %{_builddir}/%{name}-%{version}/$lang.list
	cd ..
done

%clean
rm -rf %buildroot




%changelog
* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 3.0.2-1mdv2010.1
+ Revision: 511357
- rebuild for tb 3.0.2

  + Tomas Kindl <supp@mandriva.org>
    - fixed missing czech enigmail localization package

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 3.0.1-1mdv2010.1
+ Revision: 494535
- new version 3.01

* Sat Dec 12 2009 Funda Wang <fwang@mandriva.org> 3.0-1mdv2010.1
+ Revision: 477592
- Rebuild for tb 3.0

* Sat Sep 05 2009 Funda Wang <fwang@mandriva.org> 2.0.0.23-1mdv2010.0
+ Revision: 431923
- rebuild for new tb 2.0.0.23

* Sun Aug 02 2009 Funda Wang <fwang@mandriva.org> 2.0.0.22-2mdv2010.0
+ Revision: 407548
- fix define
- New language pack

* Thu Jun 25 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.0.0.22-1mdv2010.0
+ Revision: 389157
- Rebuild for new tb

* Thu Mar 19 2009 Funda Wang <fwang@mandriva.org> 2.0.0.21-1mdv2009.1
+ Revision: 357640
- rebuild for new tb
- fix typo

* Mon Jan 12 2009 Funda Wang <fwang@mandriva.org> 2.0.0.19-1mdv2009.1
+ Revision: 328577
- fix build with latest rpm
- rebuild for new tb

* Thu Nov 20 2008 Funda Wang <fwang@mandriva.org> 2.0.0.18-1mdv2009.1
+ Revision: 305069
- rebuild for new tb

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 2.0.0.17-1mdv2009.0
+ Revision: 289472
- rebuild for new tb

* Fri Jul 25 2008 Tiago Salem <salem@mandriva.com.br> 2.0.0.16-1mdv2009.0
+ Revision: 249860
- update to 2.0.0.16
- remove corp3 conditionals since it is not compiled on cs3

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 2.0.0.14-1mdv2009.0
+ Revision: 201010
- rebuild for new TB

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 2.0.0.12-2mdv2009.0
+ Revision: 200269
- add back missing locales
- fix source URL
- fix source url

* Wed Feb 27 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.12-1mdv2008.1
+ Revision: 175890
- Rebuilt against TB 2.0.0.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 02 2007 Funda Wang <fwang@mandriva.org> 2.0.0.9-2mdv2008.1
+ Revision: 114432
- add more languages

* Sun Dec 02 2007 Funda Wang <fwang@mandriva.org> 2.0.0.9-1mdv2008.1
+ Revision: 114427
- rebuild for tb 2.0.0.9

* Thu Aug 02 2007 Funda Wang <fwang@mandriva.org> 2.0.0.6-1mdv2008.0
+ Revision: 58219
- Rebuild for tb 2.0.0.6
- add ko lang

* Fri Jun 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.4-1mdv2008.0
+ Revision: 39995
- Synced with thunderbird version. 2.0.0.4

* Mon May 07 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.0-2mdv2008.0
+ Revision: 24491
- Updated pt-PT and sl-SI l10n
- Re-enabled sl l10n, as it supports enigmail 0.95.0 now.
- Do not generate packages for those langs that are disabled.
- Disabled outdated l10n: cs nl pt sk sl es_AR
- Protect cs l10n patch as it's disabled now.
- Updated ru-RU and sv-SE l10ns.
- Re-enabled version check by now: new strings in place, we must match versions
  to make sure it works.
- Updated pt_BR l10n: use Erico Mendon?\195?\167a updates.

* Mon Apr 23 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.0-1mdv2008.0
+ Revision: 17394
- Updated enigmail pt_BR l10n
- Updated lang packs.
- Sync version with thunderbird one.


* Tue Feb 13 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0b2-1mdv2007.0
+ Revision: 120362
- Added missing Source tag for source enigmail-cs-chrome.manifest.
- Added support for Thunderbird 2.0b2

* Tue Jan 09 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.5.0.9-1mdv2007.1
+ Revision: 106428
- Synced with new upstream.
- Import mozilla-thunderbird-enigmail-l10n

* Thu Nov 09 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.8-1mdv2007.0
+ Revision: 79563
-Rebuild for Thunderbird 1.5.0.8
-Add new langpacks for es-AR, sl, sk, sv and el locales
-Fix descriptions and url
- Rebuild for thunderbird 1.5.0.7
  Fix zh_CN package
- Remove unneeded files
  Fix cs and fi packages

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix packages name
    - Add BuildRequire
    - Fix Version Check
    - import mozilla-enigmail-l10n-1.5.0.5-2mdv2007.0

